Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Lamp::SpriteRenderer Class Reference

スプライトレンダラ More...

`#include <SpriteRenderer.h>`

List of all members.

## Public Member Functions
| SpriteRenderer (int maxPriority=16, int defaultPriority=8)
| コンストラクタ
virtual | ~SpriteRenderer ()
| デストラクタ
virtual void | request (SpriteRequest *spriteRequest)
| リクエスト
virtual void | request (SpriteRequest *spriteRequest, int priority)
| リクエスト
virtual void | request (const SpriteRequest *spriteRequest)
| リクエスト
virtual void | request (const SpriteRequest *spriteRequest, int priority)
| リクエスト
virtual void | requestDefaultState ()
| デフォルトステートのリクエスト
virtual void | requestDefaultState (int priority)
| デフォルトステートのリクエスト
virtual void | render ()
| レンダリング
virtual void | render (int startPriority, int endPriority)
| レンダリング
virtual int | getMaxPriority () const
| 最大優先度の取得
virtual void | setDefaultPriority (int defaultPriority)
| デフォルト優先度の設定
virtual int | getDefaultPriority () const
| デフォルト優先度の取得
## Protected Member Functions
virtual void | applyDefaultState (SpriteRenderState *renderState)
| デフォルトステートの適用
virtual void | applyRendererState ()
| レンダラステートの適用

## Detailed Description

スプライトレンダラ

Definition at line 40 of file SpriteRenderer.h.

## Constructor & Destructor Documentation

Lamp::SpriteRenderer::SpriteRenderer | ( | int | maxPriority = 16,
|  | int | defaultPriority = 8
| ) |

  | コンストラクタ Parameters:
  maxPriority | 最大優先度
  defaultPriority | デフォルト優先度
Definition at line 43 of file SpriteRenderer.cpp. References Assert, and setDefaultPriority().

## Member Function Documentation

virtual int Lamp::SpriteRenderer::getDefaultPriority | ( |  | ) | const`[inline, virtual]`

| デフォルト優先度の取得 Returns: デフォルト優先度 Definition at line 145 of file SpriteRenderer.h. Referenced by Lamp::SpriteStateBlock::SpriteStateBlock().

void Lamp::SpriteRenderer::render | ( | int | startPriority,
|  | int | endPriority
| ) | `[virtual]`

  | レンダリング Parameters:
  startPriority | 開始優先度
  endPriority | 終了優先度
Definition at line 88 of file SpriteRenderer.cpp. References applyDefaultState(), Lamp::RenderingDevice::applyDefaultStateBlock(), applyRendererState(), Assert, Lamp::RenderingDevice::beginScene(), Lamp::RenderingDevice::endScene(), Lamp::ArrayList< SpriteRequest * >::getCount(), Lamp::SpriteGraphicsBuffer::render(), Lamp::SpriteRequest::render(), request(), and Lamp::SpriteGraphicsBuffer::setup().

virtual void Lamp::SpriteRenderer::request | ( | const SpriteRequest * | spriteRequest,
|  | int | priority
| ) | `[inline, virtual]`

  | リクエスト Parameters:
  spriteRequest | スプライトリクエスト
  priority | 優先度
Definition at line 91 of file SpriteRenderer.h. References request().

virtual void Lamp::SpriteRenderer::request | ( | const SpriteRequest * | spriteRequest | ) | `[inline, virtual]`

  | リクエスト Parameters:
  spriteRequest | スプライトリクエスト
Definition at line 80 of file SpriteRenderer.h. References request().

void Lamp::SpriteRenderer::request | ( | SpriteRequest * | spriteRequest,
|  | int | priority
| ) | `[virtual]`

  | リクエスト Parameters:
  spriteRequest | スプライトリクエスト
  priority | 優先度
Definition at line 60 of file SpriteRenderer.cpp. References Lamp::ArrayList< SpriteRequest * >::add(), and Assert.

virtual void Lamp::SpriteRenderer::request | ( | SpriteRequest * | spriteRequest | ) | `[inline, virtual]`

  | リクエスト Parameters:
  spriteRequest | スプライトリクエスト
Definition at line 64 of file SpriteRenderer.h. Referenced by Lamp::SpriteStateBlock::addState(), render(), request(), requestDefaultState(), and Lamp::SpriteStateBlock::~SpriteStateBlock().

void Lamp::SpriteRenderer::requestDefaultState | ( | int | priority | ) | `[virtual]`

  | デフォルトステートのリクエスト Parameters:
  priority | 優先度
Definition at line 66 of file SpriteRenderer.cpp. References request().

virtual void Lamp::SpriteRenderer::setDefaultPriority | ( | int | defaultPriority | ) | `[inline, virtual]`

  | デフォルト優先度の設定 Parameters:
  defaultPriority | デフォルト優先度
Definition at line 136 of file SpriteRenderer.h. References Assert. Referenced by SpriteRenderer().

The documentation for this class was generated from the following files:

- SpriteRenderer.h
- SpriteRenderer.cpp